Have a PSP 1001, firmware 5.0

Discussion in 'PSP - Hacking & Homebrew' started by APHarrington, Mar 16, 2016.

  1. APHarrington
    OP

    APHarrington Member

    Newcomer
    39
    0
    Feb 25, 2016
    United States
    Guessing the firmware is custom 5.00 M33-3.
    Should I get new firmware? Thanks.
     
    Last edited by APHarrington, Mar 17, 2016
  2. APHarrington
    OP

    APHarrington Member

    Newcomer
    39
    0
    Feb 25, 2016
    United States
    Can someone please tell me where to start, Google is not your friend. All the stuff is so dated.
     
  3. The_Goss

    The_Goss Newbie

    Newcomer
    9
    2
    Mar 13, 2016
    United States
    Hackinformer
     
  4. APHarrington
    OP

    APHarrington Member

    Newcomer
    39
    0
    Feb 25, 2016
    United States
    Thanks, I'm in there yet I don't see M33 listed under "My current firmware."
    http://hackinformer.com/PlayStationGuide/PSP/RESULT_PSP1000_CFW.html
    There is where I went when I sleeted "other" firmware and was told.
    You can install a full Custom Firmware of your choice!

    Im going to go with the 6.6.0 Pro.

    Am I good?

    And ty again for giving me a quick and straight answer, hard to find that. ;)
     
    Last edited by APHarrington, Mar 17, 2016
  5. APHarrington
    OP

    APHarrington Member

    Newcomer
    39
    0
    Feb 25, 2016
    United States
    All good with the 6.60 pro, flashed also so I dont need to keep toggling after restarts. Running everything great. TY so much for saving me half the night man.
     
  6. Xexyz

    Xexyz GBATemp's™ Official Xexyz

    Member
    1,380
    435
    Jul 29, 2013
    沖縄県
    Why not 6.61?
     
  7. TecXero

    TecXero Technovert

    Member
    2,814
    906
    Apr 13, 2014
    United States
    Mainframe
    Depends on what you want. If you just want homebrew, 5.00M33-6 is great as it supports everything, including iR Shell. If you are more concerned about PSP games and want to run most homebrew, 6.61 Pro/ME will work fine. If you want better support for plugins and aren't worried about the fixes that came with 6.61, then 6.60 Pro/ME will work fine.
     
  8. APHarrington
    OP

    APHarrington Member

    Newcomer
    39
    0
    Feb 25, 2016
    United States
    What fixes came with 6.61 I heard it was a crock of sh*t excuse for sony to d*ck with homebrew.
    And I'm mostly concerned about my backups, PS1 backups PBPs, Emulators, I don't need a homebrew clone of connect four. :D
     
  9. TecXero

    TecXero Technovert

    Member
    2,814
    906
    Apr 13, 2014
    United States
    Mainframe
    It didn't even really mess with any previous homebrew beyond just needing to update a couple of things. I think the fixes only pertained to one game. I'm sure you can find what game via google.
     
    Last edited by TecXero, Mar 17, 2016
  10. APHarrington
    OP

    APHarrington Member

    Newcomer
    39
    0
    Feb 25, 2016
    United States
    Google is not my friend, it caused more issues finding help with this problem than anything and just cause social wastelands on forums. I'm starting to wonder if google is run by North Korea or something. Anyways. What fixes can it do to CFW and backups, and emus? TYIA
     
  11. TecXero

    TecXero Technovert

    Member
    2,814
    906
    Apr 13, 2014
    United States
    Mainframe
    6.61? It offers nothing homebrew wise. It will run everything 6.60 can but some older plugins have troubles with it. All CFWs offer pretty much the same thing, anymore. Pro offers everything M33 had built into it, with slightly better menus and the new Inferno driver with ISO caching. ME offers everything Pro does, plus LEDA support. The main drawback to ME is some fan mods (like translation patches) for official PSP games don't work properly with it. They're rare, though.
     
  12. APHarrington
    OP

    APHarrington Member

    Newcomer
    39
    0
    Feb 25, 2016
    United States
    Id rather not have plugin issues so forget 6.61.

    If it needs to be translated, it's goofy japanime which I am not a fan of so I'm not worried. :D
    But I am good anyways as I installed 6.60 pro?
     
    Last edited by APHarrington, Mar 17, 2016
  13. TecXero

    TecXero Technovert

    Member
    2,814
    906
    Apr 13, 2014
    United States
    Mainframe
    You should be fine as long as it's not the faulty C3 version. It had troubles with some PS1 games. Otherwise, you're good.
     
  14. APHarrington
    OP

    APHarrington Member

    Newcomer
    39
    0
    Feb 25, 2016
    United States
    How would I tell? TY
     
  15. TecXero

    TecXero Technovert

    Member
    2,814
    906
    Apr 13, 2014
    United States
    Mainframe
    The latest fixed version can be found here.
     
  16. APHarrington
    OP

    APHarrington Member

    Newcomer
    39
    0
    Feb 25, 2016
    United States
    I'm not using that, I'm using 6.60 Pro C2. Why did you say C3, it says updates for C2, I'm lost.
     
  17. TecXero

    TecXero Technovert

    Member
    2,814
    906
    Apr 13, 2014
    United States
    Mainframe
    C3 was a build from the original Pro team that had issues. I just wanted to make sure you avoided that build.
     
  18. APHarrington
    OP

    APHarrington Member

    Newcomer
    39
    0
    Feb 25, 2016
    United States
    These are for old firmware. I don't need these. Yeah I zipped far away from that, as I just got into PSP scene far late. :D TY though for watching a dude's back.